<?php

namespace Drupal\tidy_html;

/**
 * Default implementation of the tidy interface.
 *
 * This class simply wraps an instance of a Tidy extension object.
 *
 * @see https://www.php.net/manual/en/book.tidy.php
 *
 * @package Drupal\tidy
 */
class Tidy implements TidyInterface {

  /**
   * The tidy service.
   *
   * @var \tidy
   */
  protected $tidy;

  /**
   * Tidy constructor.
   *
   * @param mixed $tidy
   *   A tidy object.
   */
  public function __construct($tidy) {
    $this->tidy = $tidy;
  }

  /**
   * {@inheritdoc}
   */
  public function beautify($html) {
    $options = [
      'indent' => '2',
      'indent-spaces' => 2,
      'output-html' => TRUE,
      'wrap' => 0,
      'output-encoding' => TRUE,
    ];
    return $this->tidy->repairString($html, $options);
  }

}
