<?php

namespace Drupal\tidy_html;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * This service provider will swap out the 'tidy_php_extension' service.
 *
 * If the tidy extension is loaded, then the default 'ExtensionPlaceholder'
 * class in the service will be replaced with an instance of the \tidy class.
 *
 * @package Drupal\tidy_html
 */
class TidyHtmlServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    parent::register($container);

    if (extension_loaded('tidy')) {
      $definition = $container->getDefinition('tidy_php_extension');
      $definition->setClass(\tidy::class);
    }
  }

}
