<?php

namespace Drupal\Tests\tidy_htmll\Unit;

use Drupal\Tests\UnitTestCase;
use Drupal\tidy_html\Tidy;

/**
 * Unit test cases for the tidy service.
 */
class TidyTest extends UnitTestCase {

  /**
   * A mocked version of the tidy php extension.
   *
   * @var \tidy|\PHPUnit\Framework\MockObject\MockObject
   */
  protected $mockTidy;

  /**
   * The subject under test.
   *
   * @var \Drupal\tidy_html\TidyInterface
   */
  protected $instance;

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();

    $this->mockTidy = $this->getMockBuilder(\tidy::class)
      ->disableOriginalConstructor()
      ->getMock();

    $this->instance = new Tidy($this->mockTidy);
  }

  /**
   * Test case for the beautify method.
   *
   * @covers \Drupal\tidy_html\Tidy::beautify
   */
  public function testBeautify() {
    $this->mockTidy
      ->expects($this->once())
      ->method('repairString')
      ->willReturn('Beautiful Mock Data');

    $expected = 'Beautiful Mock Data';
    $actual = $this->instance->beautify($expected);

    $this->assertEquals($expected, $actual);
  }

}
